@echo off
cls
echo				Primal Rage Demo Installation
echo				-----------------------------
echo	Would you like to:
echo	A) Install all files to your hard drive (approx 20Mb)
echo	B) Install only necessary files to your hard drive (approx 2Mb)
echo or Q) Quit the installation.
Choose
IF ERRORLEVEL 3 GOTO quit
IF ERRORLEVEL 2 GOTO partial
IF ERRORLEVEL 1 GOTO full

:quit
echo Aborting installation
GOTO end

:partial
echo Partial installation selected
IF NOT EXIST c:\prage.cd\CMOS GOTO partcopy
echo Warning! Primal Rage already exists on your hard drive,
echo and will be overwritten.
del c:\prage.cd\*.*
IF ERRORLEVEL 1 GOTO quit

:partcopy
mkdir c:\prage.cd >nul
echo Copying files...
xcopy runpart.bat c:\prage.cd\ragedemo.bat <f >nul
IF ERRORLEVEL 1 GOTO fail
xcopy *.drv c:\prage.cd >nul
IF ERRORLEVEL 1 GOTO fail
xcopy *.dig c:\prage.cd >nul
IF ERRORLEVEL 1 GOTO fail
xcopy *.mdi c:\prage.cd >nul
IF ERRORLEVEL 1 GOTO fail
xcopy aildrvr.lst c:\prage.cd >nul
IF ERRORLEVEL 1 GOTO fail
xcopy *.exe c:\prage.cd >nul
IF ERRORLEVEL 1 GOTO fail
GOTO success

:full
echo Full installation selected
IF NOT EXIST c:\prage.cd\CMOS GOTO fullcopy
echo Warning! Primal Rage already exists on your hard drive,
echo and will be overwritten.
del c:\prage.cd\*.*
IF ERRORLEVEL 1 GOTO quit

:fullcopy
mkdir c:\prage.cd >nul
echo Copying files...
xcopy runfull.bat c:\prage.cd\ragedemo.bat <f >nul
IF ERRORLEVEL 1 GOTO fail
xcopy *.* c:\prage.cd >nul
IF ERRORLEVEL 1 GOTO fail
GOTO success

:success
c:
cd c:\prage.cd
setsound
echo -----------------------------
echo Rage installation is complete.
echo To run the demo, change to
echo subdirectory C:\PRAGE.CD and
echo type "RAGEDEMO".
echo -----------------------------
GOTO end

:fail
echo Rage installation has Failed!
:end

